Package org.eclipse.emf.cdo.ui.compare

# Class CDOCompareEditorUtil.InputHolder

java.lang.Object
org.eclipse.emf.cdo.ui.compare.CDOCompareEditorUtil.InputHolder

All Implemented Interfaces:
  `Consumer<CDOCompareEditorUtil.Input>`, `CDOCompareEditorUtil.ContentsCreator`, `CDOCompareEditorUtil.EditorConsumer`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`

Enclosing class:
  CDOCompareEditorUtil

public static class CDOCompareEditorUtil.InputHolder extends Object implements Consumer<CDOCompareEditorUtil.Input>, CDOCompareEditorUtil.EditorConsumer, CDOCompareEditorUtil.ContentsCreator, org.eclipse.net4j.util.lifecycle.IDeactivateable
A default implementation of an `input consumer`.

Since:
  4.6
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`InputHolder()`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(CDOCompareEditorUtil.Input input)`
`void`
`activate(CDOCompareEditorUtil.Input input)`
`Control`
`createContents(Composite parent, Function<Composite,Control> defaultContentsCreator)`
`Exception`
`deactivate()`
`void`
`editorOpened(IEditorPart editor)`
`CDOCompareEditorUtil.Input`
`getInput()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Consumer

`andThen`

## Constructor Details

### InputHolder

public InputHolder()

## Method Details

### getInput

public CDOCompareEditorUtil.Input getInput()

### accept

public void accept(CDOCompareEditorUtil.Input input)

Specified by:
  `accept` in interface `Consumer<CDOCompareEditorUtil.Input>`

### editorOpened

public void editorOpened(IEditorPart editor)

Specified by:
  `editorOpened` in interface `CDOCompareEditorUtil.EditorConsumer`

### createContents

public Control createContents(Composite parent, Function<Composite,Control> defaultContentsCreator)

Specified by:
  `createContents` in interface `CDOCompareEditorUtil.ContentsCreator`

### activate

public void activate(CDOCompareEditorUtil.Input input)

Since:
  4.9

### deactivate

public Exception deactivate()

Specified by:
  `deactivate` in interface `org.eclipse.net4j.util.lifecycle.IDeactivateable`